@compatibility @nms
Feature: Compatibility - NMS node identity (nodeinfo) generation
  To support an interoperable Corda network, a Corda node must have the ability to transact with another Corda node
  when each node have generated "NodeInfos" by different NMS versions (both R3 Corda and Corda).

  Scenario Outline: Corda (OS) node can transact with another Corda (OS) node where node infos are generated by different versions of Corda OS
    Given a node A of version <Corda-Node-Version-X>
    And node A has the finance app installed
    And a node B of version <Corda-Node-Version-Y>
    And node B has the finance app installed
    When the network is ready
    Then node A can transfer 100 tokens to node B

  Examples:
      | Corda-Node-Version-X | Corda-Node-Version-Y |
      | corda-3.0       | corda-3.0            |

  Scenario Outline: R3 Corda node can transact with another R3 Corda node where node infos are generated by different versions of R3 Corda
    Given a node A of version <Corda-Node-Version-X>
    And node A has the finance app installed
    And a node B of version <Corda-Node-Version-Y>
    And node B has the finance app installed
    When the network is ready
    Then node A can transfer 100 tokens to node B

    Examples:
      | Corda-Node-Version-X | Corda-Node-Version-Y |
      | r3corda-3.0-DP3-RC01      | r3corda-3.0          |

  Scenario Outline: R3 Corda node can transact with another Corda (OS) node where node infos are generated by different distributions Corda
    Given a node A of version <Corda-Node-Version-X>
    And node A has the finance app installed
    And a node B of version <Corda-Node-Version-Y>
    And node B has the finance app installed
    When the network is ready
    Then node A can transfer 100 tokens to node B

    Examples:
      | Corda-Node-Version-X | Corda-Node-Version-Y |
      | r3corda-3.0-DP3-RC01      | corda-3.0            |
